Page MenuHomePhabricator

Request for converting digits (0-9) in to Santali
Closed, ResolvedPublic

Description

Currently the digits or numerals of Santali Wikipedia is in english but it has own numerals. Therefore community people want to use and see their own digits while reading or writing article for Santali Wikipedia. The digits are as bellow:

'0' => '᱐'
'1' => '᱑'
'2' => '᱒'
'3' => '᱓'
'4' => '᱔'
'5' => '᱕'
'6' => '᱖'
'7' => '᱗'
'8' => '᱘'
'9' => '᱙'

For this request the community consensus link is here: https://sat.wikipedia.org/wiki/Wikipedia:%E1%B1%9C%E1%B1%9F%E1%B1%9E%E1%B1%A2%E1%B1%9F%E1%B1%A8%E1%B1%9F%E1%B1%A3_%E1%B1%9F%E1%B1%A0%E1%B1%B7%E1%B1%B2%E1%B1%9F#Need_to_convert_digits_(0-9)_in_to_Santali

Thanks,
Manik Soren

Event Timeline

Manik87 created this task.Dec 18 2018, 3:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 3:17 PM

Hi @Manik87, please provide clear steps where *exactly* to see the problem, to make sure we discuss the same thing.
Please see https://www.mediawiki.org/wiki/How_to_report_a_bug - thanks a lot!

Someone need to define these digit by $digitTransformTable in MessagesSat.php like MessagesHi.php$287-298

Change 480589 had a related patch set uploaded (by Aftab; owner: Aftab):
[mediawiki/core@master] Adding $digitTransformTable for Santali (sat)

https://gerrit.wikimedia.org/r/480589

@MarcoAurelio Could you please help me to close this bug? I uploaded the patch and now it needs a +2 review. Thanks.

MarcoAurelio added a comment.EditedJan 15 2019, 11:31 PM

@Aftabuzzaman Good day. I took a look at your patch. As @Jayprakash12345 said in the patch, could you please document it too on RELEASE-NOTES-1.33? Thank you.

Change 480589 merged by jenkins-bot:
[mediawiki/core@master] Adding $digitTransformTable for Santali (sat)

https://gerrit.wikimedia.org/r/480589

MarcoAurelio closed this task as Resolved.Jan 17 2019, 4:56 PM
MarcoAurelio removed a project: Patch-For-Review.

Thank you everyone for solving this issue. Have a good day to all of you.